Subject: Re: bug#63444: folding mode for Texinfo doesn't work reliably

From: Werner LEMBERG <[email-masked]>
Date: Wed, 19 Jul 2023 05:58:56 +0000 (UTC)

>> (defun wl/Texinfo-fold-env-macro (&rest _ignore)
>>   (save-excursion
>>     (if (looking-at-p "@macro")
>>         (forward-sexp)
>>       (Texinfo-find-env-start)
>>       (forward-char)
>>       (skip-chars-forward "a-zA-Z"))
>>     (skip-chars-forward "^a-zA-Z")
>>     (concat "macro " (thing-at-point 'symbol t))))
>>
>> (setq Texinfo-fold-env-spec-list
>>       '((wl/Texinfo-fold-env-macro ("macro"))))
> 
> Ping!

Sorry for not answering earlier, I was procrastinating due to many
other tasks.

Thanks, your solution works, sort-of: It properly hides Texinfo macros
(see images 1 and 2); however, if I click on a hidden macro, then
clicking somewhere else, I get a warning message

```
[Error: No content or function found]
```

    Werner